Ask Your Question
0

Tacker Auto-scaling not working.

asked 2017-01-23 07:24:18 -0500

ashish235 gravatar image

Hi guys,

I 've a Openstack newton setup with Tacker running. With tacker I 'm able to deploy VNFs, monitor and respwan them when needed. I 've aodh service installed.

But I 'm not able to make the auto-scale work.

    2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource [req-c69bccdf-48eb-4472-961c-87093fcaf1b5 45857ddba9b843319598e42edae78db7 4222986cef724b489a74344bb454a274 - - -] create failed
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource Traceback (most recent call last):
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource   File "/usr/lib/python2.7/site-packages/tacker/api/v1/resource.py", line 83, in resource
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource     result = method(request=request, **args)
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource   File "/usr/lib/python2.7/site-packages/tacker/api/v1/base.py", line 395, in create
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource     obj = obj_creator(request.context, **kwargs)
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource   File "/usr/lib/python2.7/site-packages/tacker/vnfm/plugin.py", line 394, in create_vnf
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource     vnf_dict = self._create_vnf(context, vnf_info, vim_auth, infra_driver)
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource   File "/usr/lib/python2.7/site-packages/tacker/vnfm/plugin.py", line 346, in _create_vnf
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource     self.add_alarm_url_to_vnf(vnf_dict)
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource   File "/usr/lib/python2.7/site-packages/tacker/vnfm/plugin.py", line 261, in add_alarm_url_to_vnf
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource     vnf_dict, name, policy)
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource   File "/usr/lib/python2.7/site-packages/tacker/vnfm/monitor.py", line 222, in update_vnf_with_alarm
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource     driver = policy_dict['triggers']['resize_compute'][
2016-12-26 14:55:34.789 19777 ERROR tacker.api.v1.resource KeyError: 'resize_compute'

I 'm using a template from the below link. https://github.com/openstack/tacker/blob/master/samples/tosca-templates/vnfd/tosca-vnfd-alarm-scale.yaml (https://github.com/openstack/tacker/b...)

Can anyone help here?

edit retag flag offensive close merge delete

Comments

Are you using this template the version master? Use the tosca-vnfd-alarm-scale.yaml version Ocata. https://github.com/openstack/tacker/blob/stable/ocata/samples/tosca-templates/vnfd/tosca-vnfd-alarm-scale.yaml (https://github.com/openstack/tacker/b...)

pablobrunetti gravatar imagepablobrunetti ( 2018-01-17 20:41:56 -0500 )edit

1 answer

Sort by ยป oldest newest most voted
0

answered 2017-02-02 06:57:44 -0500

ashish235 gravatar image

Please can anyone help me?

Thanks

edit flag offensive delete link more

Comments

Hi ashish, I have hit across the same issue. I resolved it by upgrading to tacker 0.6. If you are using the tacker vnfd from the official github link, scaling templates should work fine after upgrading to tacker 0.6

DarkKnight gravatar imageDarkKnight ( 2017-02-03 21:51:14 -0500 )edit

@DarkKnight: I am getting the same error for tacker version 0.7.1.. Can u suggest solution?

AB239 gravatar imageAB239 ( 2017-02-08 07:09:00 -0500 )edit
AB239 gravatar imageAB239 ( 2017-02-08 07:21:40 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2017-01-23 07:24:18 -0500

Seen: 121 times

Last updated: Feb 02 '17